unit fce64;

{FCE64.PAS, Version 4.0.0}

interface

const

   FCE_SET_CONNECT_WAIT      =  1;
   FCE_SET_MIN_RESPONSE_WAIT =  2;
   FCE_SET_MAX_RESPONSE_WAIT =  3;
   FCE_SET_MIN_LINE_WAIT     =  4;
   FCE_SET_MAX_LINE_WAIT     =  5;
   FCE_SET_AUTO_CALL_DRIVER  =  6;
   FCE_SET_MAX_FTP_WAIT      =  7;
   FCE_SET_SLEEP_TIME        =  8;
   FCE_SET_FTP_PORT          =  9;
   FCE_SET_CLOSE_LINGER      = 10;
   FCE_SET_WRITE_BUFSIZE     = 11;
   FCE_SET_PASSIVE           = 12;
   FCE_SET_MAX_LISTEN_WAIT   = 13;
   FCE_SET_MASTER_INDEX      = 14;
   FCE_SET_APPEND_MODE       = 15;
   FCE_SET_DATA_PORT         = 16;
   FCE_SET_RENAME_DELIMITER  = 17;
   FCE_SET_SERVER_OFFSET     = 18;
   FCE_SET_CLIENT_OFFSET     = 19;   
   FCE_SET_LOG_FILE          = 20;
   FCE_WRITE_TO_LOG          = 21;
   FCE_SET_MAX_COMPLETE_WAIT = 22;
   FCE_SET_BLOCKING_MODE     = 23;
   FCE_AUTO_LOG_CLOSE        = 24;
   FCE_CLOSE_LOG_FILE        = 25;
   FCE_SET_FIRST_DATA_PORT   = 26;
   FCE_SET_LAST_DATA_PORT    = 27;
   FCE_HIDE_PASSWORD         = 28;
   FCE_STATUS_BEFORE_WRITE   = 29;
   FCE_BIND_TO_LOCAL_IP      = 30;
   FCE_LOCAL_DIR_IS_CDROM    = 31;
   FCE_DISABLE_SKEY          = 32;
   FCE_SET_FATAL_CODE        = 33;
   FCE_SET_DEBUG_LEVEL       = 34;
      
   FCE_GET_ERROR_TEXT        =  1;
   FCE_GET_COUNTER           =  2;
   FCE_GET_RESPONSE          =  3;
   FCE_GET_SOCK_ERROR        =  4;

   FCE_GET_FILE_BYTES_RCVD   = 10;
   FCE_GET_TOTAL_BYTES_RCVD  = 11;
   FCE_GET_FILE_BYTES_SENT   = 12;
   FCE_GET_TOTAL_BYTES_SENT  = 13;
   FCE_GET_SOCKET            = 14;
   FCE_GET_CONNECT_STATUS    = 15;
   FCE_GET_REGISTRATION      = 16;
 
   FCE_GET_LAST_RESPONSE     = 18;
   FCE_GET_SERVER_IP         = 19;
   FCE_GET_VERSION           = 20;
   FCE_GET_BUILD             = 21;
   FCE_GET_LINE_COUNT        = 22;
   FCE_GET_LOCAL_IP          = 23;
   FCE_GET_ERROR_LINE        = 24;
   FCE_GET_QUEUE_ZERO        = 25;
   FCE_GET_DATA_PORT         = 26;
   FCE_GET_DAYS_LEFT         = 27;
   FCE_GET_FULL_RESPONSE     = 28;
   FCE_SKEY_WAS_SEEN         = 29;
  
   FCE_FULL_LIST = 0;
   FCE_NAME_LIST = 1;
   FCE_FULL_LIST_FILE = 2;
   FCE_NAME_LIST_FILE = 3;

function fceAbort(fceChan:Integer):Integer;stdcall;
function fceAttach(fceNbrChans:Integer;fceKeyCode:LongInt):Integer;stdcall;
function fceByteToShort(fceBuffer:PAnsiChar):Integer;stdcall;
function fceClose(fceChan:Integer):Integer;stdcall;
function fceCommand(fceChan:Integer;fceCmd:PAnsiChar):Integer;stdcall;
function fceConnect(fceChan:Integer;fceServer:PAnsiChar; fceUser:PAnsiChar; fcePass:PAnsiChar):Integer;stdcall;
function fceDebug(fceChan:Integer;fceValue:Integer;fceBuffer:PAnsiChar; fceBufLen:Integer):Integer;stdcall;
function fceDelFile(fceChan:Integer;fceFileName:PAnsiChar):Integer;stdcall;
function fceDelServerDir(fceChan:Integer;fceServerName:PAnsiChar):Integer;stdcall;
function fceDriver(fceChan:Integer):Integer;stdcall;
function fceErrorText(fceChan:Integer;Code:Integer;fceBuffer:PAnsiChar; fceBufLen:Integer):Integer;stdcall;
function fceExtract(fceBuffer:PAnsiChar; fceLineNbr:Integer;FieldNbr:Integer;fceBufPtr:PAnsiChar; fceBufLen:Integer):Integer;stdcall;
function fceFileLength(fceBuffer:PAnsiChar;fceFieldBeg,fceFieldEnd:Integer):Integer;stdcall;
function fceGetDirFiles(fceChan:Integer;fcePattern:PAnsiChar;fceBuffer:PAnsiChar;fceBufLen:Integer;fceCase:Integer):Integer;stdcall; 
function fceGetFile(fceChan:Integer;fceFileName:PAnsiChar):Integer;stdcall;
function fceGetFileSize(fceChan:Integer;fceFileName:PAnsiChar):Integer;stdcall; 
function fceGetFileTime(fceChan:Integer;fceFileName:PAnsiChar;fceBuffer:PAnsiChar;fceBufLen:Integer):Integer;stdcall; 
function fceGetInteger(fceChan:Integer;fceParamName:Integer):LongInt;stdcall;
function fceGetList(fceChan:Integer;fceListType:Integer;fceBuffer:PAnsiChar; fceBufLen:Integer):Integer;stdcall;
function fceGetLocalDir(fceChan:Integer;fceBuffer:PAnsiChar; fceBufLen:Integer):Integer;stdcall;
function fceGetLocalFList(fceChan:Integer;fceBuffer:PAnsiChar;fceBufLen:Integer):Integer;stdcall;
function fceGetLocalFSize(fceChan:Integer;fceFileName:PAnsiChar):LongInt;stdcall;
function fceGetServerDir(fceChan:Integer;fceBuffer:PAnsiChar; fceBufLen:Integer):Integer;stdcall;
function fceGetString(fceChan:Integer;fceParamName:Integer;fceBuffer:PAnsiChar; fceBufLen:Integer):Integer;stdcall;
function fceGetSubDirs(fceChan:Integer;fceBuffer:PAnsiChar;fceBufLen:Integer;fceDirBuf:PAnsiChar;fceDirLen:Integer;fceFlags:Integer):Integer;stdcall;
function fceGetTicks:LongInt;stdcall;
function fceHello(fceChan:Integer):Integer;stdcall;
function fceIsConnected(fceChan:Integer):Integer;stdcall;
function fceMakeServerDir(fceChan:Integer;fceServerDir:PAnsiChar):Integer;stdcall;
function fceMatchFile(ListBuf:PAnsiChar;Start:LongInt;NameBuf:PAnsiChar;NameLen:Integer;Pattern:PAnsiChar;CaseFlag:Integer):LongInt;stdcall;
function fcePutDirFiles(fceChan:Integer;fcePattern:PAnsiChar;fceBuffer:PAnsiChar;fceBufLen:Integer;fceCase:Integer):Integer;stdcall;                
function fcePutFile(fceChan:Integer;fceFileName:PAnsiChar):Integer;stdcall;
function fceRelease:Integer;stdcall;
function fceSetInteger(fceChan:Integer;fceParamName:Integer;fceParamValue:LongInt):Integer;stdcall;
function fceSetLocalDir(fceChan:Integer;fceDirName:PAnsiChar):Integer;stdcall;
function fceSetMode(fceChan:Integer;fceXferMode:AnsiChar):Integer;stdcall;
function fceSetServerDir(fceChan:Integer;fceDirName:PAnsiChar):Integer;stdcall;
function fceSetString(fceChan:Integer;fceParamName:Integer;fceParamString:PAnsiChar):Integer;stdcall;
function fceShortToByte(fceBuffer:PAnsiChar):Integer;stdcall;
function fceSleep(fceMilliSecs:Integer):Integer;stdcall;
function fceToInteger(fceBuffer:PAnsiChar;fceStart:Integer;fceCount:Integer):Integer;stdcall; 

implementation

function fceAbort;external 'fce64.dll';
function fceAttach;external 'fce64.dll';
function fceByteToShort;external 'fce64.dll';
function fceClose;external 'fce64.dll';
function fceCommand;external 'fce64.dll';
function fceConnect;external 'fce64.dll';
function fceDebug;external 'fce64.dll';
function fceDelFile;external 'fce64.dll';
function fceDelServerDir;external 'fce64.dll';
function fceDriver;external 'fce64.dll';
function fceErrorText;external 'fce64.dll';
function fceExtract;external 'fce64.dll';
function fceFileLength;external 'fce64.dll';
function fceGetDirFiles;external 'fce64.dll';
function fceGetFile;external 'fce64.dll';
function fceGetFileSize;external 'fce64.dll';
function fceGetFileTime;external 'fce64.dll';
function fceGetInteger;external 'fce64.dll';
function fceGetList;external 'fce64.dll';
function fceGetLocalDir;external 'fce64.dll';
function fceGetLocalFList;external 'fce64.dll';
function fceGetLocalFSize;external 'fce64.dll';
function fceGetServerDir;external 'fce64.dll';
function fceGetString;external 'fce64.dll';
function fceGetSubDirs;external 'fce64.dll';
function fceGetTicks;external 'fce64.dll';
function fceHello;external 'fce64.dll';
function fceIsConnected;external 'fce64.dll';
function fceMakeServerDir;external 'fce64.dll';
function fceMatchFile;external 'fce64.dll';
function fcePutDirFiles;external 'fce64.dll';
function fcePutFile;external 'fce64.dll';
function fceRelease;external 'fce64.dll';
function fceSetInteger;external 'fce64.dll';
function fceSetLocalDir;external 'fce64.dll';
function fceSetMode;external 'fce64.dll';
function fceSetServerDir;external 'fce64.dll';
function fceSetString;external 'fce64.dll';
function fceShortToByte;external 'fce64.dll';
function fceSleep;external 'fce64.dll';
function fceToInteger;external 'fce64.dll'; 
end.




